PIXCMP(1)

NAME
pixcmp - compare two pix image files pixel by pixel

SYNOPSIS
pixcmp [OPTIONS] FILE1 [FILE2 [SKIP1 [SKIP2]]]

DESCRIPTION
pixcmp is a program to compare two BRL-CAD pix image files pixel by pixel. The following OPTIONS are available:

-l  Output pixel numbers, counting from 1, and values for all pixels that differ.

-b  Use bytes instead of pixels for both processing and output. With this option, the -i SKIP values should be specified as bytes instead of pixels.

-i SKIP
    Skip the first SKIP pixels of input (for FILE1 and FILE2).

-i SKIP1:SKIP2
    Skip the first SKIP1 pixels of FILE1 and the first SKIP2 pixels of FILE2.

-s  Silent output. Only return an exit status.

SKIP1 and SKIP2 are the number of pixels to skip in each file.

If FILE is `-' or missing, pixcmp reads from the standard input.

RETURN VALUES

The pixcmp utility returns 0 if there are no differences, 1 if there are only off-by-one differences, 2 if there are off-by-many errors, 126 if there are file processing problems, and 127 if there are argument processing or usage errors.

EXAMPLES

pixcmp -l file1 file2
    The two files are compared pixel by pixel with each difference printed instead of just the summary.

pixdiff file1.pix file2.pix | pixcmp - file3.pix
    The pixdiff tool compares the pixels in file1.pix with those in file2.pix and then outputs a resulting `diff' image which is then processed by pixcmp as input and compared against file3.pix, reporting on the differences.

SEE ALSO
brlcad(1), pixdiff(1), pix(5), bw(5)

AUTHOR
Christopher Sean Morrison
Charles M. Kennedy
Michael John Muuss

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.